<?php
header("Content-Type: text/html; charset=iso-8859-1");
ViewResponse::getInstance()->setMethodAjax();
function getDataGraficoResumenGeneral($tipo){
	
	if($_GET){
		foreach ($_GET as $key=>$val){
			$$key = $val;
		}
	}
	if($cboMercadoFiltro) {
		$cboMercado = $cboMercadoFiltro;
	}
	$o_CrUtilidadFN = new CrUtilidadFN();
	$o_CrUtilidadFN->setIdSucursal($cboSucursal);
	$o_CrUtilidadFN->setIdMercado($cboMercado);	
	$o_CrUtilidadFN->setTiempo($tiempo);
	$o_CrUtilidadFN->setPeriodoCancelacionInicial($cboPeriodoInicial);
	$o_CrUtilidadFN->setPeriodoCancelacionFinal($cboPeriodoFinal);
	$o_CrUtilidadFN->setFechaCancelacionInicial($txtFechaInicial);
	$o_CrUtilidadFN->setFechaCancelacionFinal($txtFechaFinal);
	$o_CrUtilidadFN->setOpfechavencimiento($opfechavencimiento);
	
	//$o_CrUtilidadFN->setTiempo();
	$a_utilidad = $o_CrUtilidadFN->getListado();
	  if($tiempo == '1'){ 
      	$tiempoT .= " Periodo: ".$cboPeriodoInicial." - ".$cboPeriodoFinal; 
      }
      if($tiempo == '2'){ 
      	$tiempoT .= " Periodo: ".$txtFechaInicial." - ".$txtFechaFinal;
      }
	$a_resultados['Subtitulo'] 	= "Tiempo: ".$tiempoT;
	
	switch ($tipo){
		
		case "getSucursales":
			$flag = 1;
			$a_resultados['titulo'] 						= " Resumen de sucursales ";	 
			if(!$cboSucursal) $a_resultados['titulo'] 		.= " - Todos ";	 
			if(is_array($a_utilidad)){
				foreach ($a_utilidad as $key => $utilidad){
					if($cboSucursal && $cboSucursal == $utilidad['IdSucursal'] && $flag == 1){
						$a_resultados['titulo'] 		.= " - ".$utilidad['Sucursal'];
						$flag = 2;
					}
					$a_resultados['data'][$utilidad['IdSucursal']]['value']  += $utilidad['Ganancia'];
					$a_resultados['data'][$utilidad['IdSucursal']]['label']  = $utilidad['Sucursal'];
				}
			}
			/*
			$a_resultados['data'][2]['value']  = '3000';
			$a_resultados['data'][2]['label']  = 'Suc 2';
			
			$a_resultados['data'][3]['value']  = '3000';
			$a_resultados['data'][3]['label']  = 'Suc 2';
			*/
			break;
		case "sucursalesxTiempo": 
			$flag = 1;
			$a_resultados['titulo'] 						= "Sucursales x Tiempo";	 
			
			if(!$cboSucursal) {
				$primero = 1;
				foreach ($a_utilidad as $key => $utilidad){
					$IdMercadoSel 				=  $utilidad['IdMercado'];
					$primero++;
					if($primero > 1) break;
				}
				$a_resultados['titulo'] 		.= 	" - ".$utilidad['Sucursal'];	 
			}
			if(is_array($a_utilidad)){
				foreach ($a_utilidad as $key => $utilidad){
					if($cboSucursal && $cboSucursal == $utilidad['IdSucursal'] && $flag == 1) {
						$a_resultados['titulo'] 		.= " - ".$utilidad['Sucursal'];
						$flag =2;
					}
					$a_resultados['data'][$utilidad['IdSucursal']."_".$utilidad['tiempo']]['value']  += $utilidad['Ganancia'];
					$a_resultados['data'][$utilidad['IdSucursal']."_".$utilidad['tiempo']]['label']  = $utilidad['tiempo'];
				}
			}
			break;
		case "mercadosSucursales": 
			$flag = 1;
			$a_resultados['titulo'] 						= " Mercados x Sucursal";	 
			if(!$cboSucursal) $a_resultados['titulo'] 		.= " ";	 
			if(is_array($a_utilidad)){
				foreach ($a_utilidad as $key => $utilidad){
					if($cboSucursal && $cboSucursal == $utilidad['IdSucursal'] && $flag == 1) {
						$a_resultados['titulo'] 		.= " - ".$utilidad['Sucursal'];
						$flag =2;
					}
					$a_resultados['data'][$utilidad['IdSucursal']."_".$utilidad['IdMercado']]['value']  += $utilidad['Ganancia'];
					$a_resultados['data'][$utilidad['IdSucursal']."_".$utilidad['IdMercado']]['label']  = $utilidad['Mercado'];
				}
			}
			break;
		case "mercadosSucursalesxTiempo": 
			$flag = 1;
			$a_resultados['titulo'] 						= 	" Mercados x Tiempo";	 
			//if(!$cboSucursal) {
				$primero = 1;
				foreach ($a_utilidad as $key => $utilidad){
					$IdMercadoSel 				=  $utilidad['IdMercado'];
					$primero++;
					if($primero > 1) break;
				}
				$a_resultados['titulo'] 		.= 	" - ".$utilidad['Mercado'];	 
			//}
			
			if(is_array($a_utilidad)){
				reset($a_utilidad);
				foreach ($a_utilidad as $key => $utilidad){
					if($IdMercadoSel == $utilidad['IdMercado']){
						$a_resultados['data'][$utilidad['IdSucursal']."_".$utilidad['IdMercado']."_".$utilidad['tiempo']]['value']  += $utilidad['Ganancia'];
						$a_resultados['data'][$utilidad['IdSucursal']."_".$utilidad['IdMercado']."_".$utilidad['tiempo']]['label']  = $utilidad['tiempo'];
					}
				}
			}
			break;
	}

	
			
  	return $a_resultados;
}
switch ($type){
	 case 'getMesDW':
  	
  		$con = Conexion::getConexion();
  		
		$sql = "SELECT fecha
				FROM `dw_matriz`
				WHERE 1 and fecha like '".$value."%'
				and idsucursal='".$idsucursal."'
				GROUP BY SUBSTRING(fecha, 1, 7)
				order by fecha desc
				 ";
		echo $sql;
		$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		
		$num_rows = mysql_num_rows($result);
		    
		
		if($num_rows > 0){
		  while ($o_valor = mysql_fetch_object($result)) {
		  	print_r($o_valor);
		  	$a_mes[] =  substr($o_valor->fecha,5,2)."_;_".substr($o_valor->fecha,5,2);
		  }
		}

		
		foreach ($a_mes as $key => $value){
			$a_Resultado[]  = '["'.$nombreElm.'","'.$value.'"]';
		}
		
		$salida = "[".implode(",",$a_Resultado).']';
		//$salida = json_encode($a_mes, JSON_UNESCAPED_UNICODE);
		//$salida = json_encode($a_mes);
     
      header("X-JSON: ".$salida);
    break;
  case 'mercadosSucursales':
  case 'getSucursales':
  		
  		$data = getDataGraficoResumenGeneral($type);
  		
  		$Caption 	= $data['titulo'];
  		$Subcaption = $data['Subtitulo'];
  		$a_data 	= $data['data'];
  		$xml = "<chart exportEnabled='1' caption='".$Caption."'  numberPrefix='' showHoverEffect= '1' showshadow='1' slicingdistance='10' Enableslice='1'  decimals='2' showlegend='1' slicingdistance ='15' subcaption='".$Subcaption."' formatNumberScale='0' palette='4' enableRotation='1' bgColor='#E3E9E2,FFFFFF' bgAlpha='40,100' bgRatio='0,100' bgAngle='360' showBorder='1'>";
        $j=1;
        foreach ( $a_data as $s_Key => $data ){
        	$cadena_ext = '';
        	//if($j == 1 ) $cadena_ext =  "issliced='1'";
            $xml .= "<set label='". $data['label']."' value='".$data['value']."'  ".$cadena_ext."/>";
            $j++;
        }
        	$xml .= "<styles>
		      <definition>
		            <style name='myCaptionFont' type='font' font='Arial' size='14' color='666666' bold='1' underline='1'/>
		            <style name='mySubCaptionFont' type='font' font='Arial' size='12' color='666666' italic='1'/>
		            <style name='myAxisTitlesFont' type='font' font='Arial' size='11' bold='1'/>
		      </definition>
		      <application>
		            <apply toObject='Caption' styles='myCaptionFont' />
		            <apply toObject='SubCaption' styles='mySubCaptionFont' />
		            <apply toObject='XAxisName' styles='myAxisTitlesFont' />
		      </application>
		  </styles>";
        $xml .= "</chart>";
  		echo $xml;
  		
  		break;
  case 'sucursalesxTiempo':
  case 'mercadosSucursalesxTiempo':
  		
  		$data = getDataGraficoResumenGeneral($type);
  		
  		$Caption 	= $data['titulo'];
  		$Subcaption = $data['Subtitulo'];
  		$a_data 	= $data['data'];
  		$xml = "<chart exportEnabled='1' caption='".$Caption."' xAxisName='".$Subcaption."' yAxisName='Totales (S/.)' numberPrefix='' showHoverEffect= '1' enablemultislicing= '0' showlegend='1' slicingdistance ='15' subcaption='".$Subcaption."' formatNumberScale='0' palette='4' enableRotation='1' bgColor='#E3E9E2,FFFFFF' bgAlpha='40,100' bgRatio='0,100' bgAngle='360' showBorder='1' decimals='2'>";
        foreach ( $a_data as $s_Key => $data ){
             $xml .= "<set label='". $data['label']."' value='".$data['value']."'/>";
        }
        	$xml .= "<styles>
		      <definition>
		            <style name='myCaptionFont' type='font' font='Arial' size='14' color='666666' bold='1' underline='1'/>
		            <style name='mySubCaptionFont' type='font' font='Arial' size='12' color='666666' italic='1'/>
		            <style name='myAxisTitlesFont' type='font' font='Arial' size='11' bold='1'/>
		      </definition>
		      <application>
		            <apply toObject='Caption' styles='myCaptionFont' />
		            <apply toObject='SubCaption' styles='mySubCaptionFont' />
		            <apply toObject='XAxisName' styles='myAxisTitlesFont' />
		      </application>
		  </styles>";
        $xml .= "</chart>";
  		echo $xml;
  		
  		break;
  case 'getSemana':
		$con = Conexion::getConexion();
	    $sql = "SELECT * FROM cr_semanashabiles  WHERE Periodo='".$value."';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $a_ValuesElm[] = $o_ClienteBean->Semana."_;_semana.".$i;
			    $i++;
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;
  case 'getMeses':
		$con = Conexion::getConexion();
	    $o_CrUtilidadFN = new CrUtilidadFN();
		$a_anios = $o_CrUtilidadFN->getAnios();
		
		
		$a_periodos = $o_CrUtilidadFN->getMeses($value);
	   
		  if($a_periodos>0){
		     	
		    foreach ($a_periodos as  $key => $periodo){
			    $a_ValuesElm[] = $periodo."_;_".$periodo;
			   
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;	
  case 'name' :
    
    switch ($typeFind){
      case 'doc':
        $o_ObjectBean = new DocenteBean();
        $o_ObjectBean->setCodigoDocente($value);
        $o_class = new DocenteBL();
        $a_ObjectDocenteBean = $o_class->busquedaDocente($o_ObjectBean);
        
        if(is_array($a_ObjectDocenteBean) && count($a_ObjectDocenteBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectDocenteBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el c�digo : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
      break;
      case 'alm':
        $o_ObjectBean = new AlumnoBean();
        $o_ObjectBean->setCodigoAlumno($value);
        $o_class = new AlumnoBL();
        $a_ObjectBean = $o_class->busquedaAlumno($o_ObjectBean);
        
        if(is_array($a_ObjectBean) && count($a_ObjectBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el c�digo : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
      break;
	 
      case 'ext':
        $o_ObjectBean = new ExternoBean();
        $o_ObjectBean->setCodigo($value);
        $o_class = new ExternoBL();
        $a_ObjectBean = $o_class->busquedaExterno($o_ObjectBean);
        
        if(is_array($a_ObjectBean) && count($a_ObjectBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el c�digo : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
        
      break;
    }
    
    $scadena = utilJson::generateJsonElment($tmp);
    
    header("X-JSON: ".$scadena);
    
  break;
  
}

?>